- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QTimeLine Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qtimeline.h.

`#include <qtimeline.h>`

Inheritance diagram for QTimeLine:
[legend]

List of all members.

## Public Types
enum | State { NotRunning, Paused, Running }
enum | Direction { Forward, Backward }
enum | CurveShape { EaseInCurve, EaseOutCurve, EaseInOutCurve, LinearCurve, SineCurve, CosineCurve }
## Public Slots
void | start ()
void | resume ()
void | stop ()
void | setPaused (bool paused)
void | setCurrentTime (int msec)
void | toggleDirection ()
## Signals
void | valueChanged (qreal x)
void | frameChanged (int)
void | stateChanged (QTimeLine::State newState)
void | finished ()
## Public Member Functions
| QTimeLine (int duration=1000, QObject *parent=0)
virtual | ~QTimeLine ()
State | state () const
int | loopCount () const
void | setLoopCount (int count)
Direction | direction () const
void | setDirection (Direction direction)
int | duration () const
void | setDuration (int duration)
int | startFrame () const
void | setStartFrame (int frame)
int | endFrame () const
void | setEndFrame (int frame)
void | setFrameRange (int startFrame, int endFrame)
int | updateInterval () const
void | setUpdateInterval (int interval)
CurveShape | curveShape () const
void | setCurveShape (CurveShape shape)
QEasingCurve | easingCurve () const
void | setEasingCurve (const QEasingCurve &curve)
int | currentTime () const
int | currentFrame () const
qreal | currentValue () const
int | frameForTime (int msec) const
virtual qreal | valueForTime (int msec) const
## Protected Member Functions
void | timerEvent (QTimerEvent *event)
## Properties
int | duration
int | updateInterval
int | currentTime
Direction | direction
int | loopCount
CurveShape | curveShape
QEasingCurve | easingCurve

## Member Enumeration Documentation

enum State

Search for all occurrences

Enumerator:

  NotRunning | Search for all occurrences
  Paused | Search for all occurrences
  Running | Search for all occurrences

Definition at line 66 of file qtimeline.h.

                   {
            NotRunning,
            Paused,
            Running
        };

enum Direction

Search for all occurrences

Enumerator:

  Forward | Search for all occurrences
  Backward | Search for all occurrences

Definition at line 71 of file qtimeline.h.

                       {
            Forward,
            Backward
        };

enum CurveShape

Search for all occurrences

Enumerator:

  EaseInCurve | Search for all occurrences
  EaseOutCurve | Search for all occurrences
  EaseInOutCurve | Search for all occurrences
  LinearCurve | Search for all occurrences
  SineCurve | Search for all occurrences
  CosineCurve | Search for all occurrences

Definition at line 75 of file qtimeline.h.

                        {
            EaseInCurve,
            EaseOutCurve,
            EaseInOutCurve,
            LinearCurve,
            SineCurve,
            CosineCurve
        };

## Constructor & Destructor Documentation

QTimeLine | ( | int | duration = `1000`,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

virtual ~QTimeLine | ( |  | ) | `[virtual]`

## Member Function Documentation

State state | ( |  | ) | const

Search for all occurrences

int loopCount | ( |  | ) | const

Search for all occurrences

void setLoopCount | ( | int | count | ) |

Search for all occurrences

Direction direction | ( |  | ) | const

Search for all occurrences

void setDirection | ( | Direction | direction | ) |

Search for all occurrences

int duration | ( |  | ) | const

Search for all occurrences

void setDuration | ( | int | duration | ) |

Search for all occurrences

int startFrame | ( |  | ) | const

Search for all occurrences

void setStartFrame | ( | int | frame | ) |

Search for all occurrences

int endFrame | ( |  | ) | const

Search for all occurrences

void setEndFrame | ( | int | frame | ) |

Search for all occurrences

void setFrameRange | ( | int | startFrame,
|  | int | endFrame
| ) |  |

Search for all occurrences

int updateInterval | ( |  | ) | const

Search for all occurrences

void setUpdateInterval | ( | int | interval | ) |

Search for all occurrences

CurveShape curveShape | ( |  | ) | const

Search for all occurrences

void setCurveShape | ( | CurveShape | shape | ) |

Search for all occurrences

QEasingCurve easingCurve | ( |  | ) | const

Search for all occurrences

void setEasingCurve | ( | const QEasingCurve & | curve | ) |

Search for all occurrences

int currentTime | ( |  | ) | const

Search for all occurrences

int currentFrame | ( |  | ) | const

Search for all occurrences

qreal currentValue | ( |  | ) | const

Search for all occurrences

int frameForTime | ( | int | msec | ) | const

Search for all occurrences

virtual qreal valueForTime | ( | int | msec | ) | const `[virtual]`

Search for all occurrences

void start | ( |  | ) | `[slot]`

Search for all occurrences

void resume | ( |  | ) | `[slot]`

Search for all occurrences

void stop | ( |  | ) | `[slot]`

Search for all occurrences

void setPaused | ( | bool | paused | ) | `[slot]`

Search for all occurrences

void setCurrentTime | ( | int | msec | ) | `[slot]`

Search for all occurrences

void toggleDirection | ( |  | ) | `[slot]`

Search for all occurrences

void valueChanged | ( | qreal | x | ) | `[signal]`

Search for all occurrences

void frameChanged | ( | int |  | ) | `[signal]`

Search for all occurrences

void stateChanged | ( | QTimeLine::State | newState | ) | `[signal]`

Search for all occurrences

void finished | ( |  | ) | `[signal]`

Search for all occurrences

void timerEvent | ( | QTimerEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Property Documentation

int duration `[read, write]`

Search for all occurrences

Definition at line 58 of file qtimeline.h.

int updateInterval `[read, write]`

Search for all occurrences

Definition at line 59 of file qtimeline.h.

int currentTime `[read, write]`

Search for all occurrences

Definition at line 60 of file qtimeline.h.

Direction direction `[read, write]`

Search for all occurrences

Definition at line 61 of file qtimeline.h.

int loopCount `[read, write]`

Search for all occurrences

Definition at line 62 of file qtimeline.h.

CurveShape curveShape `[read, write]`

Search for all occurrences

Definition at line 63 of file qtimeline.h.

QEasingCurve easingCurve `[read, write]`

Search for all occurrences

Definition at line 64 of file qtimeline.h.

The documentation for this class was generated from the following file:

- QtCore/qtimeline.h

QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine
QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine QTimeLine